## ros-noetic-openrtm-aist 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

# Make sure libtool doesn't set RPATHs
# I REALLY wish there was a better way to do this...
execute_process(COMMAND bash -c "awk '/^include / { system(sprintf(\"cd /etc; cat %s 2>/dev/null\", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | sed -e 's/#.*//;/^[   ]*hwcap[        ]/d;s/[:,      ]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;s/\"//g;/^$/d' | tr '\n' ' '" OUTPUT_VARIABLE ld_so_conf_paths)
execute_process(COMMAND bash -c "echo $LD_LIBRARY_PATH | sed 's/:/ /g' | tr '\n' ' '" OUTPUT_VARIABLE ld_library_paths)
set(lt_cv_sys_lib_dlsearch_path_spec "/lib64 /usr/lib64 /lib /usr/lib ${ld_so_conf_paths}${ld_library_paths}${CMAKE_INSTALL_PREFIX}/lib")

# This target is straightforward: Use ./build/autogen to produce ./configure
add_custom_command(OUTPUT ${PROJECT_SOURCE_DIR}/configure
  COMMAND ${PROJECT_SOURCE_DIR}/build/autogen
  DEPENDS ${PROJECT_SOURCE_DIR}/build/autogen
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR})

# Again, straightforward: Use ./configure to produce ./Makefile
execute_process(COMMAND pkg-config omniORB4 --variable=libdir OUTPUT_VARIABLE omniorb_dir OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command(OUTPUT ${PROJECT_SOURCE_DIR}/Makefile
  COMMAND sed -i 's@$$with_omniorb/lib@$$with_omniorb/lib $$with_omniorb@' ${PROJECT_SOURCE_DIR}/configure
  COMMAND ${PROJECT_SOURCE_DIR}/configure --prefix=${CMAKE_INSTALL_PREFIX} --with-omniorb=${omniorb_dir}
  DEPENDS ${PROJECT_SOURCE_DIR}/configure
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR})

# Now we can invoke make, but only if the Makefile is present
add_custom_target(compile_openrtm_aist ALL
  DEPENDS ${PROJECT_SOURCE_DIR}/Makefile
  COMMAND export lt_cv_sys_lib_dlsearch_path_spec=${lt_cv_sys_lib_dlsearch_path_spec} && \$\(MAKE\) -C ${PROJECT_SOURCE_DIR})

# Install target depends on make target, but doesn't have ALL
add_custom_target(install_openrtm_aist
  DEPENDS compile_openrtm_aist
  COMMAND export lt_cv_sys_lib_dlsearch_path_spec=${lt_cv_sys_lib_dlsearch_path_spec} && \$\(MAKE\) -C ${PROJECT_SOURCE_DIR} install)

# This install CODE will trigger the target install_openrtm_aist
install(CODE "execute_process(COMMAND \"${CMAKE_COMMAND}\" --build \"${CMAKE_BINARY_DIR}\" --target install_openrtm_aist)")
install(FILES package.xml DESTINATION share/openrtm_aist/)
install(CODE "execute_process(COMMAND cmake -E make_directory \$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/lib/openrtm_aist/bin)")
foreach(target rtm-config rtm-naming rtm-skelwrapper rtc-template coil-config rtcd rtcprof)
  install(CODE "execute_process(COMMAND cmake -E create_symlink ../../../bin/${target} ${target} WORKING_DIRECTORY \$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/lib/openrtm_aist/bin)")
endforeach()
foreach(target SeqInComp SeqOutComp MyServiceConsumerComp MyServiceProviderComp)
  install(CODE "execute_process(COMMAND cmake -E create_symlink ../../../share/openrtm-1.1/example/${target} ${target} WORKING_DIRECTORY \$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/lib/openrtm_aist/bin)")
endforeach()

=== packages/pkgsrc/OpenRTM-aist110/Makefile ===
# $NetBSD$
#

DISTNAME=	OpenRTM-aist-1.1.0-RELEASE
CATEGORIES=	net
MASTER_SITES=	http://www.openrtm.org/pub/OpenRTM-aist/cxx/1.1.0/
EXTRACT_SUFX=	.tar.bz2

MAINTAINER=	n-ando@aist.go.jp
HOMEPAGE=	http://www.openrtm.org/pub/OpenRTM-aist/cxx/1.1.0/
COMMENT=	RT-Middleware and OMG RTC framework
#LICENSE=	# TODO: (see mk/license.mk)

PKG_DESTDIR_SUPPORT=	user-destdir

WRKSRC=		${WRKDIR}/OpenRTM-aist-1.1.0
GNU_CONFIGURE=	yes
USE_LIBTOOL=	yes
USE_TOOLS+=	pkg-config
USE_TOOLS+=     gmake
USE_LANGUAGES=	c c++

MAKE_ENV+=      OPSYS=${OPSYS}
.include "../../mk/bsd.prefs.mk"

PKGCONFIG_OVERRIDE+=	src/lib/coil/utils/coil-config/libcoil.pc.in
PKGCONFIG_OVERRIDE+=	utils/rtm-config/openrtm-aist.pc.in

# OpenRTM-aist requires native threads support
PTHREAD_OPTS=   require native

.if ${OPSYS} == "QNX"
LIBS+= -lsocket
LDFLAGS+= -L/lib/
LDFLAGS+= -L/usr/lib/
LDFLAGS+= -L/usr/qnx650/target/qnx6/x86/lib/gcc/4.4.2/
LDFLAGS+= -L/usr/qnx650/target/qnx6/x86/lib/
LDFLAGS+= -Wl,-L/lib/
LDFLAGS+= -Wl,-L/usr/lib/
LDFLAGS+= -Wl,-L/usr/qnx650/target/qnx6/x86/lib/gcc/4.4.2/
LDFLAGS+= -Wl,-L/usr/qnx650/target/qnx6/x86/lib/
.endif

#CONFIGURE_ARGS+= LDFLAGS="-L/usr/qnx650/target/qnx6/x86/lib/gcc/4.4.2/ -L/usr/qnx650/target/qnx6/x86/lib/"
#CONFIGURE_ARGS+= LIBS="-lsocket"

do-build:
	echo "hogedara" > /tmp/darahoge
	cd ${WRKSRC}/src/lib/coil && make
	cd ${WRKSRC} && make

.include "../omniORB416/buildlink3.mk"
.include "../../mk/pthread.buildlink3.mk"
.include "../../mk/bsd.pkg.mk"

=== packages/pkgsrc/omniORB416/Makefile ===
# $NetBSD: Makefile,v 1.3 2011/04/21 16:34:17 drochner Exp $
#

DISTNAME=		omniORB-4.1.6
CATEGORIES=		devel
MASTER_SITES=		${MASTER_SITE_SOURCEFORGE:=omniorb/}
EXTRACT_SUFX+=		.tar.bz2

MAINTAINER=		ianzag@mail.ru
HOMEPAGE=		http://omniorb.sourceforge.net/
COMMENT=		CORBA ORB

PKG_DESTDIR_SUPPORT=	user-destdir

MAKE_FILE=		GNUmakefile

GNU_CONFIGURE=	YES
USE_LANGUAGES=	c c++
USE_TOOLS+=	gmake

PKGCONFIG_OVERRIDE+= contrib/pkgconfig/omniCOS4.pc.in
PKGCONFIG_OVERRIDE+= contrib/pkgconfig/omniCOSDynamic4.pc.in
PKGCONFIG_OVERRIDE+= contrib/pkgconfig/omniConnectionMgmt4.pc.in
PKGCONFIG_OVERRIDE+= contrib/pkgconfig/omniDynamic4.pc.in
PKGCONFIG_OVERRIDE+= contrib/pkgconfig/omniORB4.pc.in
PKGCONFIG_OVERRIDE+= contrib/pkgconfig/omnithread3.pc.in

# Startup script settigns
#PKG_SYSCONFBASE= /etc
#RCD_SCRIPTS_DIR= ${PKG_SYSCONFBASE}/rc.d
#PKG_RCD_SCRIPTS= YES
RCD_SCRIPTS= 	 omninames

# omniORB requires native threads support
PTHREAD_OPTS=	require native

OMNIORB_ETCDIR?= ${PKG_SYSCONFDIR}
OMNIORB_CONFIG=	${OMNIORB_ETCDIR}/omniORB.cfg

CONFIGURE_ARGS+=	--with-omniORB-config=${OMNIORB_CONFIG:Q}
#CONFIGURE_ARGS+=	--with-omniNames-logdir=/var/log
#CONFIGURE_ARGS+=	--with-openssl

PKG_OPTIONS_VAR=	PKG_OPTIONS.omniORB
PKG_SUPPORTED_OPTIONS=	inet6
.include "../../mk/bsd.options.mk"
.if empty(PKG_OPTIONS:Minet6)
CONFIGURE_ARGS+=--disable-ipv6
.endif

PY_PATCHPLIST=		yes
REPLACE_PYTHON+=	src/tool/omniidl/python/scripts/omniidlrun.py

post-install:
	${INSTALL_DATA_DIR} ${DESTDIR}${PREFIX}/share/examples/omniORB/
	${INSTALL_DATA_DIR} ${DESTDIR}${PREFIX}/share/doc/omniORB/
	${INSTALL_DATA_DIR} ${DESTDIR}${PREFIX}/share/doc/omniORB/omniORB
	${INSTALL_DATA} ${WRKSRC}/sample.cfg \
		${DESTDIR}${PREFIX}/share/examples/omniORB/
	${INSTALL_DATA} ${WRKSRC}/doc/*.html \
		${DESTDIR}${PREFIX}/share/doc/omniORB/
	${INSTALL_DATA} ${WRKSRC}/doc/*.pdf \
		${DESTDIR}${PREFIX}/share/doc/omniORB/
	${INSTALL_DATA} ${WRKSRC}/doc/omniORB/* \
		${DESTDIR}${PREFIX}/share/doc/omniORB/omniORB/
	${INSTALL_DATA_DIR} ${DESTDIR}${PREFIX}/${PKGMANDIR}/man1/
	${INSTALL_MAN} ${WRKSRC}/man/man1/* \
		${DESTDIR}${PREFIX}/${PKGMANDIR}/man1/

.include "../../lang/python/application.mk"
.include "../../lang/python/extension.mk"
.include "../../mk/pthread.buildlink3.mk"
.include "../../mk/bsd.pkg.mk"

=== debian/changelog ===
ros-noetic-openrtm-aist (1.1.2-4focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 13 May 2022 11:51:05 -0000

=== debian/control ===
Source: ros-noetic-openrtm-aist
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), automake, cmake, doxygen, libltdl-dev, libomniorb4-dev, libtool, libtool-bin, omniidl, omniorb, omniorb-idl, omniorb-nameserver, pkg-config, python2-dev, uuid-dev
Homepage: http://ros.org/wiki/openrtm_aist
Standards-Version: 3.9.2

Package: ros-noetic-openrtm-aist
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libomniorb4-dev, omniidl, omniorb, omniorb-idl, omniorb-nameserver, ros-noetic-catkin, uuid-dev
Description: This package represents OpenRTM-aist that's built within ROS eco system.
 Although being ROS-agnostic by itself, you can use this via ROS together with the packages in rtmros_common that bridge between two framework. OpenRTM-aist is an RT-Middleware-baseed, component-oriented software platform to robotics development that is made and maintained in AIST (National Institute of Advanced Industrial Science and Technology) in Japan (excerpts from here) Its development is happening at openrtm.org/pub/OpenRTM-aist. The repository listed below is where the development of its ROS wrapper happening.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-openrtm-aist//opt/ros/noetic/lib/:$(CURDIR)/debian/ros-noetic-openrtm-aist//opt/ros/noetic/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
